/*

Matt Carr edit 2009:

Placing the RNGS functions in their own RNGS namespace.

*/

/* -----------------------------------------------------------------------
 * Name            : rngs.h  (header file for the library file rngs.c)
 * Author          : Steve Park & Dave Geyer
 * Language        : ANSI C
 * Latest Revision : 09-22-98
 * -----------------------------------------------------------------------
 */

namespace RNGS
{

#if !defined( _RNGS_ )
#define _RNGS_

double Random(void);
float  Randomf(void);
void   PlantSeeds(long x);
void   GetSeed(long *x);
void   PutSeed(long x);
void   SelectStream(int index);
void   TestRandom(void);

#endif

}
