// GL extensions to VectorMaths by Mathew Carr

#ifndef __GLVECTORMATHS_H__
#define __GLVECTORMATHS_H__

#include <GL/gl.h>
#include "VectorMaths.h"

// This is a glue structure that safely transforms
// Vector3Ds into GLfloat form for OpenGL functions.

struct GLfloatVector3D
{
   GLfloatVector3D(const Vector3D &f);

   GLfloat values[3];

   const GLfloat *Values() const;
};
#endif // __GLVECTORMATHS_H__
